Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 41 - Bugzilla cookies should have PATH=/bugzilla/ instead of PATH=/
Summary: Bugzilla cookies should have PATH=/bugzilla/ instead of PATH=/
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 2.1r
Hardware: All
OS: Linux
low
low vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-11-11 13:35 UTC by Aleksey Nogin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-07 17:10:33 UTC


Attachments (Terms of Use)

Description Aleksey Nogin 1998-11-11 13:35:28 UTC
Hi,

Currently Bugzilla sets cookie path to / :

Set-Cookie: Bugzilla_login=ayn2@cornell.edu ; path=/;
expires=Sun, 30-Jun-2029 00:00:00 GMT

As a result, browser sends cookies with all requests for
pages on developer.redhat.com which makes those pages
uncacheble in HTTP caching servers (such as Squid).

I believe it would be better to use "path=/bugzilla/"

Comment 1 Need Real Name 1998-11-11 19:37:59 UTC
Talked to Terry, and this is something that should be fixed.
It will have to wait until after the code merge, though.

Comment 2 Need Real Name 1998-12-08 01:11:59 UTC
this has been hard-coded for now, will be cleaned up later.

Comment 3 Aleksey Nogin 1999-11-21 19:57:59 UTC
This is a problem again in the new version of Bugzilla

Comment 4 David Lawrence 1999-11-22 19:55:59 UTC
Ok, I need to change this back. I admit that there a lot of nick picks that did
not get into the new bugzilla code. But with all you guys help, I am sure I will
eventually get them all.

Comment 5 David Lawrence 1999-12-07 17:10:59 UTC
Ok this is fixed now, sorry for the delay :)


Note You need to log in before you can comment on or make changes to this bug.